# Bill of Materials comparison

This module allows you to compare two Bill of Materials to view the differences.

Table of contents

- Usage
- Development
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

First, create two (or more) Bill of Materials on the same product. Then, open the first Bill of Materials, and launch the wizard with Action / Compare Bill of Materials. In the BoM v2 field, select a BoM to compare against the current one, and click on Compare. The result of the comparaison is returned as a PDF report with three sections:

- products updated
- products added
- products removed

# Development

If you want to compare two Bill of Materials not linked to the same product, you can override the _domain_bom_id method from the wizard.mrp.bom.comparison wizard.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ABF OSIELL

## Contributors

- Sébastien Alix <sebastien.alix@osiell.com> (https://osiell.com)
- Adrià Gil Sorribes <adria.gil@forgeflow.com> (https://www.forgeflow.com)

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/manufacture project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.